Skip to content
developers

List funding instructions

Browse API reference

GET/funding-instructionslistInstructions

Important: You can return a list of funding instructions from only the previous two years. If you want to view a funding instruction from more than two years ago and you have its instructionId, use our Retrieve Funding Instruction method.

Use this method to return a paginated list of funding instructions within a specific date range.

Note: If you want to view the details of a specific funding instruction and you have its instructionId, use our Retrieve Funding Instruction method.

Our gateway returns the following information for each instruction in the list:

  • Status of the funding instruction.
  • Funding information, including which merchant's funding balance we distribute and the funding account that we send the balance to.

For each funding instruction, we also return the instructionId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

dateFromRequiredquerystring

Filter by funding instructions sent after a specific date. Send a value in YYYY-MM-DD format.

dateToRequiredquerystring

Filter by funding instructions sent before a specific date. Send a value in YYYY-MM-DD format.

Responses

Successful request. Returns a list of funding instructions.

200 OK · application/json
{
  "count": 2,
  "data": [
    {
      "createdDate": "2024-07-02T15:30:00Z",
      "instructionId": 64643131,
      "lastModifiedDate": "2024-07-02T15:30:00Z",
      "link": {
        "href": "https://api.payroc.com/v1/funding-instructions/64643131",
        "method": "get",
        "rel": "fundingInstruction"
      },
      "merchants": [
        {
          "link": {
            "href": "https://api.payroc.com/v1/processing-accounts/4525644354",
            "method": "get",
            "rel": "merchant"
          },
          "merchantId": "4525644354",
          "recipients": [
            {
              "amount": {
                "currency": "USD",
                "value": 120000
              },
              "fundingAccountId": 123,
              "link": {
                "href": "https://api.payroc.com/v1/funding-accounts/123",
                "method": "get",
                "rel": "fundingAccount"
              },
              "metadata": {
                "yourCustomField": "abc123"
              },
              "paymentMethod": "ACH",
              "status": "funded"
            },
            {
              "amount": {
                "currency": "USD",
                "value": 50050
              },
              "fundingAccountId": 124,
              "link": {
                "href": "https://api.payroc.com/v1/funding-accounts/124",
                "method": "get",
                "rel": "fundingAccount"
              },
              "metadata": {
                "yourCustomField": "abc123"
              },
              "paymentMethod": "ACH",
              "status": "rejected"
            }
          ]
        }
      ],
      "metadata": {
        "yourCustomField": "abc123"
      },
      "status": "completed"
    },
    {
      "createdDate": "2024-07-02T15:30:00Z",
      "instructionId": 64643132,
      "lastModifiedDate": "2024-07-02T15:30:00Z",
      "link": {
        "href": "https://api.payroc.com/v1/funding-instructions/64643132",
        "method": "get",
        "rel": "fundingInstruction"
      },
      "merchants": [
        {
          "link": {
            "href": "https://api.payroc.com/v1/processing-accounts/4525644354",
            "method": "get",
            "rel": "merchant"
          },
          "merchantId": "4525644354",
          "recipients": [
            {
              "amount": {
                "currency": "USD",
                "value": 5000
              },
              "fundingAccountId": 123,
              "link": {
                "href": "https://api.payroc.com/v1/funding-accounts/123",
                "method": "get",
                "rel": "fundingAccount"
              },
              "metadata": {
                "yourCustomField": "abc123"
              },
              "paymentMethod": "ACH",
              "status": "accepted"
            }
          ]
        },
        {
          "link": {
            "href": "https://api.payroc.com/v1/processing-accounts/4525644354",
            "method": "get",
            "rel": "merchant"
          },
          "merchantId": "4525644354",
          "recipients": [
            {
              "amount": {
                "currency": "USD",
                "value": 1000
              },
              "fundingAccountId": 124,
              "link": {
                "href": "https://api.payroc.com/v1/funding-accounts/124",
                "method": "get",
                "rel": "fundingAccount"
              },
              "metadata": {
                "yourCustomField": "abc123"
              },
              "paymentMethod": "ACH",
              "status": "accepted"
            }
          ]
        }
      ],
      "metadata": {
        "yourCustomField": "abc123"
      },
      "status": "accepted"
    }
  ],
  "hasMore": true,
  "limit": 2,
  "links": [
    {
      "href": "https://api.payroc.com/v1/funding-instructions?before=64643131&limit=2&datefrom=2024-07-01&dateto=2024-07-03",
      "method": "get",
      "rel": "previous"
    },
    {
      "href": "https://api.payroc.com/v1/funding-instructions?after=64643132&limit=2&datefrom=2024-07-01&dateto=2024-07-03",
      "method": "get",
      "rel": "next"
    }
  ]
}
Response schema · 35 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of fundingInstruction objects.
    • createdDatestringdatetime
      Date that we created the funding instruction. The date format follows the ISO 8601 standard.
    • instructionIdinteger
      Unique identifier that we assigned to the funding instruction.
    • lastModifiedDatestringdatetime
      Date of the most recent change to the funding instruction. The date format follows the ISO 8601 standard.
    • merchantsobject[]
      Array of merchants objects. Each object specifies the merchant whose funding balance we distribute and who you want to send the funds to.
      • linkobject
        Object that contains HATEOAS links for the resource.
        • hrefstring
          URL of the target resource.
        • methodstring
          HTTP method that you need to use with the target resource.
        • relstring
          Indicates the relationship between the current resource and the target resource.
      • merchantIdstringrequired
        Unique identifier that the processor assigned to the merchant.
      • recipientsobject[]required
        Array of recipients objects. Each object contains information about the funding account and the amount of funds we send to the funding account.≥ 1 items
        • amountobjectrequired
          Object that contains information about the funds that we send to the funding account.
          • currencystring
            Currency of the value parameter.USD
          • valueintegerrequired
            Amount of funds in the currency's lowest denomination, for example, cents.
        • fundingAccountIdintegerrequired
          Unique identifier that we assigned to the funding account.
        • linkobject
          Object that contains HATEOAS links for the resource.
          • hrefstring
            URL of the target resource.
          • methodstring
            HTTP method that you need to use with the target resource.
          • relstring
            Indicates the relationship between the current resource and the target resource.
        • metadataobject
          Metadata object you can use to include custom data with your request.
        • paymentMethodstringrequired
          Payment method that we use to send funds to the funding account.ACH
        • statusstring
          Status of the individual payment instruction. Our gateway returns one of the following values: accepted We received the payment instruction, but we haven't reviewed it. pending We are reviewing the payment instruction. released We approved the payment instruction. funded We sent the funds to the funding account by ACH. failed The ACH payment to the funding account failed. rejected We reviewed the payment instruction and rejected it. onHold We have placed the payment instruction on hold.acceptedpendingreleasedfundedfailedrejectedonHold
    • metadataobject
      Metadata object you can use to include custom data with your request.
    • statusstring
      Status of the funding instruction. Our gateway returns one of the following values: accepted We have received the funding instruction but have not yet reviewed it. pending We have received the funding instruction and we are reviewing it. completed We have reviewed and processed the funding instruction.acceptedpendingcompleted
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstringrequired
        URL of the target resource.
      • methodstringrequired
        HTTP method that you need to use with the target resource.
      • relstringrequired
        Indicates the relationship between the current resource and the target resource.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer